Bug 8285 - xpdf не корректно работает с xorg-x11-6.8.99.900-alt7
: xpdf не корректно работает с xorg-x11-6.8.99.900-alt7
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/xpdf)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-18 14:28 by
Modified: 2007-11-12 14:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-18 14:28:19
xpdf, при просмотре pdf'ов не масштабирует область просмотра. масштаб документа
увеличивается, однако область просмотра остается неизменной (соответствует
заданной при старте)

замечено еще с версии xorg-x11-6.8.99.900-alt5
------- Comment #1 From 2005-10-18 17:14:39 -------
Подтверждаю
------- Comment #2 From 2005-10-19 10:03:15 -------
тоже самое на xorg-x11-6.8.2-alt18, т.ч. дело тут не в иксах 
------- Comment #3 From 2005-11-17 12:08:48 -------
xpdf-3.01-alt1
xorg-x11-server-6.8.99.901-alt1

глюк исчез
------- Comment #4 From 2005-11-30 12:47:21 -------
опять началось ;)
может быть зависит от документа?
вот с этим не масштабирует:
http://www.linux.kiev.ua/uploads/media/press_rel_25_11.pdf
------- Comment #5 From 2007-01-16 19:13:49 -------
Итак, проверка на текущих версиях

xpdf-reader-3.01-alt6
xorg-x11-server-1.1.99.903-alt5
xorg 7.2.0

показывает, что xpdf не увеличивает своё окно при увеличении масштаба документа.

Однако, если глюк исчезал на той же версии, и более того, на той же сборке
(alt1) xpdf при изменении окружения - это говорит о том, что причина наверняка
не в xpdf.

Кроме xorg проблема может быть в openmotif.
------- Comment #6 From 2007-03-05 18:12:15 -------
(In reply to comment #5)
> Однако, если глюк исчезал на той же версии, и более того, на той же сборке
> (alt1) xpdf при изменении окружения - это говорит о том, что причина наверняка
> не в xpdf.
> 
> Кроме xorg проблема может быть в openmotif.

При ближайшем рассмотрении - openmotif вряд ли виноват. Версия и даже сборка
библиотеки openmotif не менялась за то время когда был зафиксирован глюк и
замечено его исчезновение с другой версией xorg.

В то же время я не готов однозначно утверждать, что ошибка именно в xorg и
поэтому не спешу перевешивать на него багу. Очень может быть, что проблема "на
стыке" - автор xpdf мог рассчитывать на какое-то поведение иксов, которое затем
изменилось...

Я бы попросил Вас отрепортить этот глюк с максимально имеющейся информацией
непосредственно обоим апстримам.
------- Comment #7 From 2007-11-12 14:50:15 -------
Закрываю с WONTFIX.